package com.ty.dao;


import com.ty.domain.Student;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;


//使用Spring提供的测试环境
@RunWith(SpringJUnit4ClassRunner.class)
//负责创建工厂
@ContextConfiguration(locations = "classpath:applicationConfigure-dao.xml")
public class StudentDaoTest {
    @Autowired
    private StudenDao studenDao;

    @Test
    public void testFindAll(){
        List<Student> all=studenDao.findAll();
        all.forEach(System.out::println);
    }

    @Test
    public void tetAdd(){
        Student student=new Student(0,"成泽宇","男","东南大学");
        studenDao.add(student);
    }


}
